# Generated from dronebl.rb-0.1.0.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name dronebl.rb

Name: rubygem-%{gem_name}
Version: 0.1.0.0
Release: 1%{?dist}
Summary: This is an interface to the DroneBL.org RPC2 administrative interface. It comes with tools to submit IPs to the service and to query the data set stored on the server. NOTE: You should create a ~/.droneblkey file with your key inside of it for the best experience with this
License: MIT
URL: http://github.com/rylai-/dronebl.rb
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Interface to the DroneBL RPC2 service.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/dronebl-query
%{_bindir}/dronebl-add
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}


%changelog
* Mon Apr 18 2022 mockbuilder - 0.1.0.0-1
- Initial package
